--增加工艺路线版本号历史数据处理的相关参数表
 IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDM_RTVERSION_INIT') 
 CREATE TABLE T_PDM_RTVERSION_INIT (
	FID BIGINT DEFAULT 0 NOT NULL,
	FNUMBER NVARCHAR(255) DEFAULT ' ' NOT NULL,
	FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
	FSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
	FCREATORID BIGINT DEFAULT 0 NOT NULL,
	FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
	FENABLE NVARCHAR(50) DEFAULT ' ' NOT NULL,
	FCREATETIME DATETIME,
	FMODIFYTIME DATETIME,
	FMASTERID BIGINT DEFAULT 0 NOT NULL,
	FLARGEVALUE NVARCHAR(255) DEFAULT ' ' NOT NULL,
	FLARGEVALUE_TAG NCLOB,
	FVALUE NVARCHAR(255) DEFAULT ' ' NOT NULL
);

 IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDM_RTVERSION_INIT_L') 
CREATE TABLE T_PDM_RTVERSION_INIT_L (
	FPKID NVARCHAR(36) DEFAULT ' ' NOT NULL,
	FID BIGINT DEFAULT 0 NOT NULL,
	FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
	FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL
);

--增加初始化标记表
  IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDM_ROUTEVERSIONINITTAG') 
 CREATE TABLE T_PDM_ROUTEVERSIONINITTAG (
	FID BIGINT DEFAULT 0 NOT NULL,
	FNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
	FNAME NVARCHAR(200) DEFAULT ' ' NOT NULL,
	FSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
	FCREATORID BIGINT DEFAULT 0 NOT NULL,
	FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
	FENABLE NVARCHAR(50) DEFAULT ' ' NOT NULL,
	FCREATETIME DATETIME,
	FMODIFYTIME DATETIME,
	FMASTERID BIGINT DEFAULT 0 NOT NULL,
	FINITORG BIGINT DEFAULT 0 NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDM_ROUTEVERSIONINITTAG_L') 
CREATE TABLE T_PDM_ROUTEVERSIONINITTAG_L (
	FPKID NVARCHAR(36) DEFAULT ' ' NOT NULL,
	FID BIGINT DEFAULT 0 NOT NULL,
	FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
	FNAME  NVARCHAR(200) DEFAULT ' ' NOT NULL
);
